Wyświetlanie listy zasobów VirtualNetworkAddress według CloudVmCluster
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Oracle.Database/cloudVmClusters/{cloudvmclustername}/virtualNetworkAddresses?api-version=2025-09-01
Parametry identyfikatora URI
| Nazwa |
W |
Wymagane |
Typ |
Opis |
|
cloudvmclustername
|
path |
True
|
string
pattern: .*
|
Nazwa klastra CloudVm
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Nazwa grupy zasobów. Nazwa jest niewrażliwa na wielkość liter.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
Identyfikator subskrypcji docelowej. Wartość musi być identyfikatorem UUID.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Wersja interfejsu API do użycia dla tej operacji.
|
Odpowiedzi
Zabezpieczenia
azure_auth
Przepływ protokołu OAuth2 usługi Azure Active Directory.
Typ:
oauth2
Flow:
implicit
Adres URL autoryzacji:
https://login.microsoftonline.com/common/oauth2/authorize
Zakresy
| Nazwa |
Opis |
|
user_impersonation
|
personifikacja konta użytkownika
|
Przykłady
List Virtual Network Addresses by VM Cluster
Przykładowe żądanie
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses?api-version=2025-09-01
/**
* Samples for VirtualNetworkAddresses ListByCloudVmCluster.
*/
public final class Main {
/*
* x-ms-original-file: 2025-09-01/virtualNetworkAddresses_listByParent.json
*/
/**
* Sample code: VirtualNetworkAddresses_listByCloudVmCluster.
*
* @param manager Entry point to OracleDatabaseManager.
*/
public static void virtualNetworkAddressesListByCloudVmCluster(
com.azure.resourcemanager.oracledatabase.OracleDatabaseManager manager) {
manager.virtualNetworkAddresses().listByCloudVmCluster("rg000", "cluster1", com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armoracledatabase_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/oracledatabase/armoracledatabase/v2"
)
// Generated from example definition: 2025-09-01/virtualNetworkAddresses_listByParent.json
func ExampleVirtualNetworkAddressesClient_NewListByCloudVMClusterPager() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armoracledatabase.NewClientFactory("00000000-0000-0000-0000-000000000000", cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
pager := clientFactory.NewVirtualNetworkAddressesClient().NewListByCloudVMClusterPager("rg000", "cluster1", nil)
for pager.More() {
page, err := pager.NextPage(ctx)
if err != nil {
log.Fatalf("failed to advance page: %v", err)
}
for _, v := range page.Value {
// You could use page here. We use blank identifier for just demo purposes.
_ = v
}
// If the HTTP response code is 200 as defined in example definition, your page structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// page = armoracledatabase.VirtualNetworkAddressesClientListByCloudVMClusterResponse{
// VirtualNetworkAddressListResult: armoracledatabase.VirtualNetworkAddressListResult{
// Value: []*armoracledatabase.VirtualNetworkAddress{
// {
// ID: to.Ptr("/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses/hostname1"),
// Type: to.Ptr("Oracle.Database/cloudVmClusters/virtualNetworkAddresses"),
// Properties: &armoracledatabase.VirtualNetworkAddressProperties{
// IPAddress: to.Ptr("192.168.0.1"),
// VMOcid: to.Ptr("ocid1..aaaa"),
// Ocid: to.Ptr("ocid1..aaaaaa"),
// Domain: to.Ptr("domain1"),
// LifecycleDetails: to.Ptr("success"),
// ProvisioningState: to.Ptr(armoracledatabase.AzureResourceProvisioningStateSucceeded),
// LifecycleState: to.Ptr(armoracledatabase.VirtualNetworkAddressLifecycleStateAvailable),
// TimeAssigned: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2023-10-22T00:27:02.119Z"); return t}()),
// },
// },
// },
// },
// }
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Przykładowa odpowiedź
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses/hostname1",
"type": "Oracle.Database/cloudVmClusters/virtualNetworkAddresses",
"properties": {
"ipAddress": "192.168.0.1",
"vmOcid": "ocid1..aaaa",
"ocid": "ocid1..aaaaaa",
"domain": "domain1",
"lifecycleDetails": "success",
"provisioningState": "Succeeded",
"lifecycleState": "Available",
"timeAssigned": "2023-10-22T00:27:02.119Z"
}
}
],
"nextLink": null
}
List Virtual Network Addresses by VM Cluster - generated by [MaximumSet] rule
Przykładowe żądanie
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgopenapi/providers/Oracle.Database/cloudVmClusters/Replace this value with a string matching RegExp .*/virtualNetworkAddresses?api-version=2025-09-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.oracledatabase import OracleDatabaseMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-oracledatabase
# USAGE
python virtual_network_addresses_list_by_parent_maximum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = OracleDatabaseMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.virtual_network_addresses.list_by_parent(
resource_group_name="rgopenapi",
cloudvmclustername="Replace this value with a string matching RegExp .*",
)
for item in response:
print(item)
# x-ms-original-file: 2025-09-01/VirtualNetworkAddresses_ListByParent_MaximumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { OracleDatabaseManagementClient } = require("@azure/arm-oracledatabase");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to list VirtualNetworkAddress resources by CloudVmCluster
*
* @summary list VirtualNetworkAddress resources by CloudVmCluster
* x-ms-original-file: 2025-09-01/VirtualNetworkAddresses_ListByParent_MaximumSet_Gen.json
*/
async function listVirtualNetworkAddressesByVMClusterGeneratedByMaximumSetRule() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new OracleDatabaseManagementClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.virtualNetworkAddresses.listByParent(
"rgopenapi",
"Replace this value with a string matching RegExp .*",
)) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.OracleDatabase;
// Generated from example definition: 2025-09-01/VirtualNetworkAddresses_ListByParent_MaximumSet_Gen.json
// this example is just showing the usage of "VirtualNetworkAddress_ListByParent" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this CloudVmClusterResource created on azure
// for more information of creating CloudVmClusterResource, please refer to the document of CloudVmClusterResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "rgopenapi";
string cloudvmclustername = "Replace this value with a string matching RegExp .*";
ResourceIdentifier cloudVmClusterResourceId = CloudVmClusterResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, cloudvmclustername);
CloudVmClusterResource cloudVmCluster = client.GetCloudVmClusterResource(cloudVmClusterResourceId);
// get the collection of this CloudVmClusterVirtualNetworkAddressResource
CloudVmClusterVirtualNetworkAddressCollection collection = cloudVmCluster.GetCloudVmClusterVirtualNetworkAddresses();
// invoke the operation and iterate over the result
await foreach (CloudVmClusterVirtualNetworkAddressResource item in collection.GetAllAsync())
{
// the variable item is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
CloudVmClusterVirtualNetworkAddressData resourceData = item.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Przykładowa odpowiedź
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses/hostname1",
"type": "Oracle.Database/cloudVmClusters/virtualNetworkAddresses",
"properties": {
"ipAddress": "192.168.0.1",
"vmOcid": "ocid1..aaaa",
"ocid": "ocid1..aaaaaa",
"domain": "domain1",
"lifecycleDetails": "success",
"provisioningState": "Succeeded",
"lifecycleState": "Available",
"timeAssigned": "2023-10-22T00:27:02.119Z"
},
"name": "xhlq",
"systemData": {
"createdBy": "sqehacivpuim",
"createdByType": "User",
"createdAt": "2025-08-01T04:32:58.716Z",
"lastModifiedBy": "axrqfdkqylvjv",
"lastModifiedByType": "User",
"lastModifiedAt": "2025-08-01T04:32:58.716Z"
}
}
],
"nextLink": "https://microsoft.com/a"
}
List Virtual Network Addresses by VM Cluster - generated by [MinimumSet] rule
Przykładowe żądanie
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rgopenapi/providers/Oracle.Database/cloudVmClusters/Replace this value with a string matching RegExp .*/virtualNetworkAddresses?api-version=2025-09-01
from azure.identity import DefaultAzureCredential
from azure.mgmt.oracledatabase import OracleDatabaseMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-oracledatabase
# USAGE
python virtual_network_addresses_list_by_parent_minimum_set_gen.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = OracleDatabaseMgmtClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.virtual_network_addresses.list_by_parent(
resource_group_name="rgopenapi",
cloudvmclustername="Replace this value with a string matching RegExp .*",
)
for item in response:
print(item)
# x-ms-original-file: 2025-09-01/VirtualNetworkAddresses_ListByParent_MinimumSet_Gen.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { OracleDatabaseManagementClient } = require("@azure/arm-oracledatabase");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to list VirtualNetworkAddress resources by CloudVmCluster
*
* @summary list VirtualNetworkAddress resources by CloudVmCluster
* x-ms-original-file: 2025-09-01/VirtualNetworkAddresses_ListByParent_MinimumSet_Gen.json
*/
async function listVirtualNetworkAddressesByVMClusterGeneratedByMinimumSetRule() {
const credential = new DefaultAzureCredential();
const subscriptionId = "00000000-0000-0000-0000-000000000000";
const client = new OracleDatabaseManagementClient(credential, subscriptionId);
const resArray = new Array();
for await (const item of client.virtualNetworkAddresses.listByParent(
"rgopenapi",
"Replace this value with a string matching RegExp .*",
)) {
resArray.push(item);
}
console.log(resArray);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.OracleDatabase;
// Generated from example definition: 2025-09-01/VirtualNetworkAddresses_ListByParent_MinimumSet_Gen.json
// this example is just showing the usage of "VirtualNetworkAddress_ListByParent" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this CloudVmClusterResource created on azure
// for more information of creating CloudVmClusterResource, please refer to the document of CloudVmClusterResource
string subscriptionId = "00000000-0000-0000-0000-000000000000";
string resourceGroupName = "rgopenapi";
string cloudvmclustername = "Replace this value with a string matching RegExp .*";
ResourceIdentifier cloudVmClusterResourceId = CloudVmClusterResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, cloudvmclustername);
CloudVmClusterResource cloudVmCluster = client.GetCloudVmClusterResource(cloudVmClusterResourceId);
// get the collection of this CloudVmClusterVirtualNetworkAddressResource
CloudVmClusterVirtualNetworkAddressCollection collection = cloudVmCluster.GetCloudVmClusterVirtualNetworkAddresses();
// invoke the operation and iterate over the result
await foreach (CloudVmClusterVirtualNetworkAddressResource item in collection.GetAllAsync())
{
// the variable item is a resource, you could call other operations on this instance as well
// but just for demo, we get its data from this resource instance
CloudVmClusterVirtualNetworkAddressData resourceData = item.Data;
// for demo we just print out the id
Console.WriteLine($"Succeeded on id: {resourceData.Id}");
}
Console.WriteLine("Succeeded");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Przykładowa odpowiedź
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1/virtualNetworkAddresses/hostname1"
}
]
}
Definicje
AzureResourceProvisioningState
Wyliczanie
Wyliczenie stanu aprowizacji zasobów platformy Azure
| Wartość |
Opis |
|
Succeeded
|
Zasób został utworzony.
|
|
Failed
|
Tworzenie zasobu nie powiodło się.
|
|
Canceled
|
Tworzenie zasobu zostało anulowane.
|
|
Provisioning
|
Wskazuje, że zasób w stanie aprowizacji
|
createdByType
Wyliczanie
Typ tożsamości, która utworzyła zasób.
| Wartość |
Opis |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
ErrorAdditionalInfo
Objekt
Dodatkowe informacje o błędzie zarządzania zasobami.
| Nazwa |
Typ |
Opis |
|
info
|
object
|
Dodatkowe informacje.
|
|
type
|
string
|
Dodatkowy typ informacji.
|
ErrorDetail
Objekt
Szczegóły błędu.
| Nazwa |
Typ |
Opis |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Dodatkowe informacje o błędzie.
|
|
code
|
string
|
Kod błędu.
|
|
details
|
ErrorDetail[]
|
Szczegóły błędu.
|
|
message
|
string
|
Komunikat o błędzie.
|
|
target
|
string
|
Element docelowy błędu.
|
ErrorResponse
Objekt
Odpowiedź na błąd
systemData
Objekt
Metadane dotyczące tworzenia i ostatniej modyfikacji zasobu.
| Nazwa |
Typ |
Opis |
|
createdAt
|
string
(date-time)
|
Sygnatura czasowa tworzenia zasobu (UTC).
|
|
createdBy
|
string
|
Tożsamość, która utworzyła zasób.
|
|
createdByType
|
createdByType
|
Typ tożsamości, która utworzyła zasób.
|
|
lastModifiedAt
|
string
(date-time)
|
Znacznik czasu ostatniej modyfikacji zasobu (UTC)
|
|
lastModifiedBy
|
string
|
Tożsamość, która ostatnio zmodyfikowała zasób.
|
|
lastModifiedByType
|
createdByType
|
Typ tożsamości, która ostatnio zmodyfikowała zasób.
|
VirtualNetworkAddress
Objekt
Zasób wirtualnego adresu IP należący do zasobu klastra maszyny wirtualnej.
| Nazwa |
Typ |
Opis |
|
id
|
string
(arm-id)
|
W pełni kwalifikowany identyfikator zasobu dla zasobu. Np. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
Nazwa zasobu
|
|
properties.domain
|
string
|
W pełni kwalifikowana nazwa domeny adresu sieci wirtualnej.
|
|
properties.ipAddress
|
string
|
Adres adresu sieci wirtualnej.
|
|
properties.lifecycleDetails
|
string
|
Dodatkowe informacje o bieżącym stanie cyklu życia wirtualnego adresu IP (VIP) aplikacji.
|
|
properties.lifecycleState
|
VirtualNetworkAddressLifecycleState
|
Stan cyklu życia adresu sieci wirtualnej.
|
|
properties.ocid
|
string
minLength: 1 maxLength: 255
|
Aplikacja VIP OCID.
|
|
properties.provisioningState
|
AzureResourceProvisioningState
|
Stan aprowizacji zasobów platformy Azure.
|
|
properties.timeAssigned
|
string
(date-time)
|
Data i godzina zakończenia operacji tworzenia wirtualnego adresu IP (VIP) aplikacji.
|
|
properties.vmOcid
|
string
minLength: 1 maxLength: 255
|
Identyfikator OCID maszyny wirtualnej.
|
|
systemData
|
systemData
|
Metadane usługi Azure Resource Manager zawierające informacje „createdBy” i „modifiedBy”.
|
|
type
|
string
|
Typ zasobu. Np. "Microsoft.Compute/virtualMachines" lub "Microsoft.Storage/storageAccounts"
|
VirtualNetworkAddressLifecycleState
Wyliczanie
Wyliczenie VirtualNetworkAddressLifecycleState
| Wartość |
Opis |
|
Provisioning
|
Wskazuje, że zasób w stanie aprowizacji
|
|
Available
|
Wskazuje, że zasób jest w stanie Dostępny
|
|
Terminating
|
Wskazuje, że zasób jest w stanie zakończenia
|
|
Terminated
|
Wskazuje, że zasób jest w stanie Zakończony
|
|
Failed
|
Wskazuje, że zasób jest w stanie Niepowodzenie
|
VirtualNetworkAddressListResult
Objekt
Odpowiedź operacji listy VirtualNetworkAddress.
| Nazwa |
Typ |
Opis |
|
nextLink
|
string
(uri)
|
Link do następnej strony z elementami
|
|
value
|
VirtualNetworkAddress[]
|
Elementy VirtualNetworkAddress na tej stronie
|